#ifndef _APL_MAIN_FUNCTIONS_H_
#define _APL_MAIN_FUNCTIONS_H_

#include "CommonClasses.h"
#include "apl_api.h"

CString sServiceString0=APL_T("Используемые ресурсы...");  // Служебная строка попала в файл перевода

//Массив элементов, которые обрабатывает данная функция
CaplItemInfo functionArray []=
{
	CaplItemInfo(aplPopUp, _T("BP"), APL_NO_T("Показать\\[-1]"), _T(""), -1, -1,_T("")),
	CaplItemInfo(aplPopUp, _T("BP"), APL_NO_T("Показать\\[-1]Используемые ресурсы..."), _T("add_ShowAllBPResources"), -1, -1,_T("")),
	CaplItemInfo(aplPopUp, _T("Product"),APL_NO_T("Показать\\[-1]"), _T(""), -1, -1,_T("")),
	CaplItemInfo(aplPopUp, _T("Product"),APL_NO_T("Показать\\[-1]Используемые ресурсы..."), _T("add_ShowAllPdfResources"), -1, -1,_T("")),
};

//Размер массива
int functionArraySize= sizeof(functionArray)/sizeof(CaplItemInfo);

//Объявления функций
__declspec (dllexport) bool GetFunctionsList(CArray<CaplItemInfo*, CaplItemInfo*> *strArray);
__declspec (dllexport) bool add_ShowAllBPResources(CaplAPI* data, aplExtent& inExtent, bool bUpdateUI);//отчет по ресурсам для бизнес-процесса
__declspec (dllexport) bool add_ShowAllPdfResources(CaplAPI* data, aplExtent& inExtent, bool bUpdateUI);//отчет по ресурсам для версии изделия

//Функции для управления ресурсами
void SetResources();
void ResetResources();

#endif //_APL_MAIN_FUNCTIONS_H_
